Package: org.codehaus.groovy.tools

## [Java] Class Compiler

- org.codehaus.groovy.tools.Compiler

-     public class Compiler
      extends Object

  A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Compiler` | `DEFAULT` | Shared compiler instance using the default configuration.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Compiler()` Initializes the Compiler with default configuration.
    `Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `compile(File file)` Compiles a single File.
    `` | `public void` | `compile(File[] files)` Compiles a series of Files.
    `` | `public void` | `compile(String[] files)` Compiles a series of Files from file names.
    `` | `public void` | `compile(String name, String code)` Compiles a string of code.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Compiler DEFAULT

      Shared compiler instance using the default configuration.

  - ### Constructor Detail

    - #### public Compiler()

      Initializes the Compiler with default configuration.

    - #### public Compiler(CompilerConfiguration configuration)

      Initializes the Compiler with the specified configuration.

  - ### Method Detail

    - #### public void compile(File file)

      Compiles a single File.

    - #### public void compile(File[] files)

      Compiles a series of Files.

    - #### public void compile(String[] files)

      Compiles a series of Files from file names.

    - #### public void compile(String name, String code)

      Compiles a string of code.